

# ModelTemplate


Represents a model template. Supported only for WebSocket APIs.

## URI


`/v2/apis/apiId/models/modelId/template`

## HTTP methods


### GET


**Operation ID:** `GetModelTemplate`

Gets a model template.


**Path parameters**  

| Name | Type | Required | Description | 
| --- |--- |--- |--- |
| modelId | String | True | The model ID. | 
| apiId | String | True | The API identifier. | 


**Responses**  

| Status code | Response model | Description | 
| --- |--- |--- |
| 200 | Template | Success | 
| 404 | NotFoundException | The resource specified in the request was not found. | 
| 429 | LimitExceededException | The client is sending more than the allowed number of requests per unit of time. | 

## Schemas


### Response bodies


#### Template schema
Template

```
{
  "value": "string"
}
```

#### NotFoundException schema
NotFoundException

```
{
  "message": "string",
  "resourceType": "string"
}
```

#### LimitExceededException schema
LimitExceededException

```
{
  "message": "string",
  "limitType": "string"
}
```

## Properties


### LimitExceededException


A limit has been exceeded. See the accompanying error message for details.


| Property | Type | Required | Description | 
| --- |--- |--- |--- |
| limitType | string | False | The limit type. | 
| message | string | False | Describes the error encountered. | 

### NotFoundException


The resource specified in the request was not found. See the `message` field for more information.


| Property | Type | Required | Description | 
| --- |--- |--- |--- |
| message | string | False | Describes the error encountered. | 
| resourceType | string | False | The resource type. | 

### Template


Represents a template.


| Property | Type | Required | Description | 
| --- |--- |--- |--- |
| value | string | False | The template value. | 